<!DOCTYPE html>
<html lang="en">
{% include 'header.html' %}
<body>
<script>
    $(function () {
        $('.message .close')
            .on('click', function () {
                $(this)
                    .closest('.message')
                    .transition('fade')
                ;
            });
    });

    $(document).ready(function () {
        $('.menu .item').tab({
            history: true,
            historyType: 'hash'
        });
    });

    $(function () {
        $('.ui.dropdown.selection').dropdown();
    });

    function set_config(name, display_name) {

        var elem = document.getElementById('edit_config_id');

        if (elem) {
            elem.value = name;
            elem.innerText = display_name;
            elem.selected = true;
        } else {
            var select = document.getElementById('select_config_type');
            var opt = document.createElement('option');
            opt.value = name;
            opt.innerText = display_name;
            opt.id = 'edit_config_id';
            select.appendChild(opt);
            opt.selected = true;
        }
    }

    function filename_change(obj) {
        button_obj = $('#file_button')[0];
        if (obj.files.length === 1) {
            button_obj.innerText = " " + obj.files[0].name;
        } else if (obj.files.length > 1) {
            button_obj.innerText = " selected " + obj.files.length + " files";
        } else {
            button_obj.innerText = " Open file";
        }
    }


</script>
<style>
    .ui.selection.dropdown {
        min-width: 100%;
    }

    .ui.menu {
        margin-top: 0px;
    }


    tr.odd {
        background-color: #fffdc2;
    }

    tr.even {
        background-color: #c3ffcd;
    }

</style>
{% include 'menu.html' %}

<div class="ui top attached tabular menu" style="margin-bottom: 10px">
    <a class="item active" data-tab="account">
        Account options
    </a>
    <a class="item" data-tab="config">
        Configurations
    </a>
</div>

<div class="ui tab active" data-tab="account">
    <div class="ui grid">
        <div class="seven wide column">
            <h2>Edit profile</h2>
            <form class="ui form" action="/profile" method="post">
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                <input type="hidden" name="change_profile" value="1"/>
                <div class="field">
                    <label>Email:</label>
                    <div class="field">
                        <input type="email" name="email" placeholder="Email" required
                               value="{{ escape(user_data['email']) }}">
                    </div>
                </div>
                <div class="field">
                    <label>First name:</label>
                    <div class="field">
                        <input type="text" name="fname" placeholder="Ivan" value="{{ escape(user_data['fname']) }}">
                    </div>
                </div>
                <div class="field">
                    <label>Second name:</label>
                    <div class="field">
                        <input type="text" name="lname" placeholder="Ivanov" value="{{ escape(user_data['lname']) }}">
                    </div>
                </div>
                <div class="field">
                    <label>Company:</label>
                    <div class="field">
                        <input type="text" name="company" placeholder="Intel"
                               value="{{ escape(user_data['company']) }}">
                    </div>
                </div>
                <div class="field">
                    <label>Password (for making changes):</label>
                    <div class="field">
                        <input type="password" name="password" required>
                    </div>
                </div>
                <button type="submit" class="ui primary button">
                    <i class="save icon"></i>
                    Save
                </button>
                {% if error_type is defined and error_type=='change_profile' %}
                    <div class="ui error message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            There were some errors:
                        </div>
                        <ul class="list">
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% elif success_type is defined and success_type=='change_profile' %}
                    <div class="ui success message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            {{ success_message }}
                        </div>
                    </div>
                {% endif %}
            </form>
        </div>
        <div class="one wide column"></div>
        <div class="seven wide column">
            <h2>Change password</h2>
            <form class="ui form" action="/profile" method="post">
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                <input type="hidden" name="change_password" value="1"/>
                <div class="field">
                    <label>Old password:</label>
                    <div class="field">
                        <input type="password" name="oldpassword" placeholder="">
                    </div>
                </div>
                <div class="field">
                    <label>New password:</label>
                    <div class="field">
                        <input type="password" name="password1" placeholder="" minlength="8">
                    </div>
                </div>
                <div class="field">
                    <label>New password (again):</label>
                    <div class="field">
                        <input type="password" name="password2" placeholder="" minlength="8">
                    </div>
                </div>
                <button type="submit" class="ui primary button">
                    <i class="save icon"></i>
                    Save
                </button>
                {% if error_type is defined and error_type=='change_password' %}
                    <div class="ui error message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            There were some errors:
                        </div>
                        <ul class="list">
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% elif success_type is defined and success_type=='change_password' %}
                    <div class="ui success message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            {{ success_message }}
                        </div>
                    </div>
                {% endif %}
            </form>
        </div>
    </div>
</div>

<div class="ui tab" data-tab="config" id="config" style="height: 100%">
    <div class="ui equal height grid" style="height: 100%">
        <div class="three column row" style="height: 100%">
            <div class="column" style="height: 100%">
                <h2>Variables</h2>
                <form class="ui form" method="post" action="/profile#/config">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                    <input type="hidden" name="add_config" value="1"/>
                    <div class="ui grid">
                        <div class="six wide column">
                            <input type="text" placeholder="key string" required name="config_value">
                        </div>
                        <div class="six wide column">
                            <div style="width: 100%;">
                                <select class="ui dropdown selection" name="config_name">
                                    <option value="shodan" selected="">Shodan API key</option>
                                    <option value="zeneye">ZenEye API key</option>
                                </select>
                            </div>
                        </div>
                        <div class="four wide column">
                            <button type="submit" name="action" value="Add" class="ui vertical animated button blue">
                                <div class="hidden content">Add</div>
                                <div class="visible content">
                                    <i class="plus icon"></i>
                                </div>
                            </button>
                        </div>
                    </div>
                </form>
                {% set team_configs = db.select_configs(user_id=user_data['id']) %}
                {% for current_config in team_configs %}
                    <form class="ui form" method="post" action="/profile#/config">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <input type="hidden" name="config_name" value="{{ escape(current_config['name']) }}"/>
                        <input type="hidden" name="config_value" value="delete"/>
                        <input type="hidden" name="add_config" value="1"/>
                        <label>{{ escape(current_config['display_name']) }}</label>

                        <div class="ui grid">
                            <div class="six wide column">
                                <input type="text" placeholder="******" value="********" readonly>
                            </div>
                            <div class="ten wide column">
                                <button type="button" onclick="set_config('{{ escape(current_config["name"]) }}','{{ escape(current_config["display_name"]) }}');"
                                        class="ui vertical animated button purple">
                                    <div class="hidden content">Edit</div>
                                    <div class="visible content">
                                        <i class="edit icon"></i>
                                    </div>
                                </button>
                                <button type="submit" name="action" value="Delete" class="ui vertical animated button red">
                                    <div class="hidden content">Delete</div>
                                    <div class="visible content">
                                        <i class="trash icon"></i>
                                    </div>
                                </button>
                            </div>
                        </div>
                    </form>
                {% endfor %}
                {% if error_type is defined and error_type=='add_config' %}
                    <div class="ui error message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            There were some errors:
                        </div>
                        <ul class="list">
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
                <h2>Report templates</h2>
                <label>More information about report templates <a
                        href="https://gitlab.com/invuls/pentest-projects/pcf/-/wikis/Reports%20moderation"
                        target="_blank" rel="noopener noreferrer">here</a>.</label>
                <form class="ui form" method="post" action="/profile#/config" enctype="multipart/form-data">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                    <input type="hidden" name="add_template" value="1"/>
                    <div class="ui grid">
                        <div class="six wide column">
                            <input type="text" name="template_name" placeholder="Report name">
                        </div>
                        <div class="ten wide column">
                            <label for="file" class="ui icon button">
                                <div><i class="file icon"></i>
                                    <div id="file_button" style="display: initial;"> Open File</div>
                                </div>
                            </label>
                            <input type="file" id="file" name="file" onchange="filename_change(this);" required style="display:none">
                            <button type="submit" class="ui vertical animated button blue">
                                <div class="hidden content">Add</div>
                                <div class="visible content">
                                    <i class="plus icon"></i>
                                </div>
                            </button>
                        </div>
                    </div>
                </form>
                {% set team_templates = db.select_report_templates(user_id=user_data['id']) %}
                {% for current_template in team_templates %}
                    <form class="ui form" method="post" action="/profile#/config">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <input type="hidden" name="delete_template" value="1"/>
                        <input type="hidden" name="template_id" value="{{ current_template['id'] }}"/>
                        <div class="ui grid">
                            <div class="six wide column">
                                <input type="text" readonly value="{{ escape(current_template['name']) }}">
                            </div>
                            <div class="ten wide column">
                                <a class="ui vertical animated button green" href="/static/files/templates/{{ current_template['id'] }}" style="width: 70px;">
                                    <div class="hidden content">Download</div>
                                    <div class="visible content">
                                        <i class="download icon"></i>
                                    </div>
                                </a>
                                <button type="submit" value="Delete" class="ui vertical animated button red">
                                    <div class="hidden content">Delete</div>
                                    <div class="visible content">
                                        <i class="trash icon"></i>
                                    </div>
                                </button>
                            </div>
                        </div>
                    </form>
                {% endfor %}
                {% if error_type is defined and error_type in ['add_template', 'delete_template'] %}
                    <div class="ui error message visible">
                        <i class="close icon"></i>
                        <div class="header">
                            There were some errors:
                        </div>
                        <ul class="list">
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            </div>
            <div class="column" style="height: 100%">
                <h2>Issues rules</h2>
                <label>More information about issue rules <a
                        href="https://gitlab.com/invuls/pentest-projects/pcf/-/wikis/Issue-rules#rules-logics"
                        target="_blank" rel="noopener noreferrer">here</a>.</label>
                <form class="ui form" method="get" action="/new_issue_rule">
                    <input type="hidden" name="team_id" value="">
                    <div class="ui grid">
                        <div class="eight wide column">
                            <input type="text" name="issue_rule_name" required placeholder="New rule name">
                        </div>
                        <div class="eight wide column">
                            <button type="submit" name="action" class="ui vertical animated button blue">
                                <div class="hidden content">Add</div>
                                <div class="visible content">
                                    <i class="plus icon"></i>
                                </div>
                            </button>
                            <a type="button" name="action" class="ui vertical animated button orange" href="/import_issue_rules?team_id=">
                                <div class="hidden content">File</div>
                                <div class="visible content">
                                    <i class="file icon"></i>
                                </div>
                            </a>
                        </div>
                    </div>
                </form>
                <script>
                    $(document).ready(function () {
                        $('#issue_rules').DataTable(
                            {
                                "order": [[1, "desc"]],
                                "iDisplayLength": -1,
                                "bLengthChange": false,
                                "columnDefs": [{
                                    "targets": 0,
                                    "orderable": false,
                                    "width": 20
                                }, {
                                    "targets": 1,
                                    "orderable": true
                                }, {
                                    "targets": 2,
                                    "orderable": false,
                                    "width": 135
                                }],
                                language: {
                                    searchPlaceholder: "Search...",
                                    search: ""
                                },
                                autoWidth: false,
                                "paging": false,
                                "bInfo": false,
                                "initComplete": function (settings, json) {
                                    div_block = $('#issue_rules_wrapper').children()[0].children[0].children[0];
                                    div_block.innerHTML = div_block.innerHTML + `<button class="ui icon green button" type="button" onclick="download_selected_issue_rules();" title="Download selected rules" ><i class="download icon "></i></button><button class="ui icon red button" type="button" title="Delete selected rules" onclick="delete_selected_issue_rules();" style="margin-left: 15px;"><i class="trash icon"></i></button>`;
                                }
                            }
                        );
                    });

                    function addHiddenField(form, props) {
                        Object.keys(props).forEach(fieldName => {
                            var field = form[fieldName];
                            if (!field) {
                                field = document.createElement('input');
                                field.type = 'hidden';
                                field.name = fieldName;
                                form.appendChild(field);
                            }
                            field.value = props[fieldName];
                        });
                    }


                    function download_issue_rule(rule_id) {
                        download_form = $('#download_rule_form')[0];

                        // delete old elements

                        var id_count = $('[id=issue_rule_id]');
                        if (id_count.length > 0) {
                            $('[id=issue_rule_id]').remove();
                        }


                        var mi = document.createElement("input");
                        mi.setAttribute('type', 'hidden');
                        mi.setAttribute('value', rule_id.toString());
                        mi.setAttribute('name', "rule_id");
                        mi.setAttribute('id', "issue_rule_id");
                        download_form.appendChild(mi);

                        download_form.submit();
                    }

                    csrf_token = "{{ csrf_token() }}"

                    function delete_issue_rule(rule_id) {
                        if (confirm("Are you sure to delete an issue rule?")) {
                            $.ajax({
                                type: "POST",
                                url: '/delete_issue_rules',
                                data: {
                                    'rule_id': rule_id.toString(),
                                    'csrf_token': csrf_token
                                },
                                contentType: 'application/x-www-form-urlencoded',
                                xhrFields: {
                                    withCredentials: true
                                },
                                success: function (data) {
                                    document.location.reload();
                                },
                                error: function (data) {
                                    document.location.reload();
                                }
                            });
                        }
                    }

                    function delete_selected_issue_rules() {
                        var checkboxes = document.getElementsByClassName("issue_rule_checkbox");

                        var rule_ids = [];
                        for (var i = 0; i < checkboxes.length; i++) {
                            if (checkboxes[i].checked) {
                                rule_id = checkboxes[i].dataset["value"];
                                rule_ids.push(rule_id)
                            }
                        }

                        if (rule_ids.length > 0) {
                            if (confirm("Are you sure to delete " + rule_ids.length.toString() + " issue rules?")) {
                                post_data = 'csrf_token=' + csrf_token.toString() + '&';
                                for (var i = 0; i < rule_ids.length; i++) {
                                    post_data += 'rule_id=' + rule_ids[i].toString() + '&';
                                }


                                $.ajax({
                                    type: "POST",
                                    url: '/delete_issue_rules',
                                    data: post_data,
                                    contentType: 'application/x-www-form-urlencoded',
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    success: function (data) {
                                        document.location.reload();
                                    },
                                    error: function (data) {
                                        document.location.reload();
                                    }
                                });
                            }
                        }

                    }


                    function download_selected_issue_rules() {
                        download_form = $('#download_rule_form')[0];

                        // delete old elements

                        var id_count = $('[id=issue_rule_id]');
                        if (id_count.length > 0) {
                            $('[id=issue_rule_id]').remove();
                        }

                        var checkboxes = document.getElementsByClassName("issue_rule_checkbox");

                        var rule_ids = [];
                        for (var i = 0; i < checkboxes.length; i++) {
                            if (checkboxes[i].checked) {
                                rule_id = checkboxes[i].dataset["value"];
                                rule_ids.push(rule_id)
                            }
                        }

                        if (rule_ids.length > 0) {

                            for (var i = 0; i < rule_ids.length; i++) {
                                rule_id = rule_ids[i];
                                var mi = document.createElement("input");
                                mi.setAttribute('type', 'hidden');
                                mi.setAttribute('value', rule_id);
                                mi.setAttribute('name', "rule_id");
                                mi.setAttribute('id', "issue_rule_id");
                                download_form.appendChild(mi);
                            }

                            download_form.submit();

                        }
                    }

                    checked = true;

                    function select_issue_rules() {
                        var checkboxes = document.getElementsByClassName("issue_rule_checkbox");
                        for (var i = 0; i < checkboxes.length; i++) {
                            checkboxes[i].checked = checked;
                        }
                        checked = !checked;
                    }

                </script>
                <form method="post" action="/download_issue_rules" id="download_rule_form">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                </form>
                {% set team_issue_rules = db.select_user_issue_rules(user_data['id']) %}
                <div style="width: 100%; height: calc(100% - 200px); overflow: auto;margin-top: 20px">
                    <table id="issue_rules" class="ui table" style="width:100%">
                        <thead>
                        <tr>
                            <th style="width: 20px;">
                                <div class="ui fitted big checkbox">
                                    <input type="checkbox" onclick="select_issue_rules();">
                                    <label></label>
                                </div>
                            </th>
                            <th>Name</th>
                            <th style="width: 135px;">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for current_rule in team_issue_rules %}
                            <tr>
                                <td style="width: 20px;">
                                    <div class="ui fitted big checkbox">
                                        <input type="checkbox" class="issue_rule_checkbox" data-value="{{ current_rule['id'] }}">
                                        <label></label>
                                    </div>
                                </td>
                                <td>{{ escape(current_rule['name']) }}</td>
                                <td style="width: 135px;">
                                    <a class="ui icon blue button" href="/issue_rule/{{ current_rule['id'] }}/" target="_blank" rel="noopener noreferrer">
                                        <i class="linkify icon"></i></i>
                                    </a>
                                    <button type="button" onclick="download_issue_rule('{{ current_rule['id'] }}');" class="ui icon green button">
                                        <i class="download icon"></i>
                                    </button>
                                    <button class="ui icon red button" type="button" onclick="delete_issue_rule('{{ current_rule['id'] }}');">
                                        <i class="trash icon"></i>
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                {% if add_report_errors is defined  and add_report_errors %}
                    {% for error in add_report_errors %}
                        <div class="ui error message visible" style="min-width: 300px;">
                            <i class="close icon"></i>
                            <div class="header">
                                There were some errors:
                            </div>
                            <ul class="list">
                                {% for error in add_report_errors %}
                                    <li>{{ error }}</li>
                                {% endfor %}
                            </ul>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
            <div class="column" style="height: 100%">
                <h2>Issues templates</h2>
                <label>More information about issue templates <a
                        href=""
                        target="_blank" rel="noopener noreferrer">here</a>.</label>
                <form class="ui form" method="get" action="/new_issue_template">
                    <div class="ui grid">
                        <div class="eight wide column">
                            <input type="text" name="issue_template_name" required placeholder="Issue name">
                        </div>
                        <div class="eight wide column">
                            <button type="submit" name="action" class="ui vertical animated button blue">
                                <div class="hidden content">Add</div>
                                <div class="visible content">
                                    <i class="plus icon"></i>
                                </div>
                            </button>
                            <a type="button" name="action" class="ui vertical animated button orange" href="/import_issue_templates">
                                <div class="hidden content">File</div>
                                <div class="visible content">
                                    <i class="file icon"></i>
                                </div>
                            </a>
                        </div>
                    </div>
                </form>
                <script>
                    $(document).ready(function () {
                        $('#issue_templates').DataTable(
                            {
                                "order": [[1, "desc"]],
                                "iDisplayLength": -1,
                                "bLengthChange": false,
                                "columnDefs": [{
                                    "targets": 0,
                                    "orderable": false,
                                    "width": 20
                                }, {
                                    "targets": 1,
                                    "orderable": true
                                }, {
                                    "targets": 2,
                                    "orderable": false,
                                    "width": 135
                                }],
                                language: {
                                    searchPlaceholder: "Search...",
                                    search: ""
                                },
                                autoWidth: false,
                                "paging": false,
                                "bInfo": false,
                                "initComplete": function (settings, json) {
                                    div_block = $('#issue_templates_wrapper').children()[0].children[0].children[0];
                                    div_block.innerHTML = div_block.innerHTML + `<button class="ui icon green button" type="button" onclick="download_selected_issue_templates();"><i class="download icon "></i></button><button class="ui icon red button" type="button" onclick="delete_selected_issue_template();" style="margin-left: 15px;"><i class="trash icon"></i></button>`;
                                }
                            }
                        );
                    });

                    function addHiddenField(form, props) {
                        Object.keys(props).forEach(fieldName => {
                            var field = form[fieldName];
                            if (!field) {
                                field = document.createElement('input');
                                field.type = 'hidden';
                                field.name = fieldName;
                                form.appendChild(field);
                            }
                            field.value = props[fieldName];
                        });
                    }


                    function download_issue_template(template_id) {
                        download_form = $('#download_template_form')[0];

                        // delete old elements

                        var id_count = $('[id=issue_template_id]');
                        if (id_count.length > 0) {
                            $('[id=issue_template_id]').remove();
                        }


                        var mi = document.createElement("input");
                        mi.setAttribute('type', 'hidden');
                        mi.setAttribute('value', template_id.toString());
                        mi.setAttribute('name', "template_id");
                        mi.setAttribute('id', "issue_template_id");
                        download_form.appendChild(mi);

                        download_form.submit();
                    }

                    csrf_token = "{{ csrf_token() }}"

                    function delete_issue_template(template_id) {
                        if (confirm("Are you sure to delete an issue template?")) {
                            $.ajax({
                                type: "POST",
                                url: '/delete_issue_templates',
                                data: {
                                    'template_id': template_id.toString(),
                                    'csrf_token': csrf_token
                                },
                                contentType: 'application/x-www-form-urlencoded',
                                xhrFields: {
                                    withCredentials: true
                                },
                                success: function (data) {
                                    document.location.reload();
                                },
                                error: function (data) {
                                    document.location.reload();
                                }
                            });
                        }
                    }

                    function delete_selected_issue_template() {
                        var checkboxes = document.getElementsByClassName("issue_template_checkbox");

                        var template_ids = [];
                        for (var i = 0; i < checkboxes.length; i++) {
                            if (checkboxes[i].checked) {
                                template_id = checkboxes[i].dataset["value"];
                                template_ids.push(template_id)
                            }
                        }

                        if (template_ids.length > 0) {
                            if (confirm("Are you sure to delete " + template_ids.length.toString() + " issue templates?")) {
                                post_data = 'csrf_token=' + csrf_token.toString() + '&';
                                for (var i = 0; i < template_ids.length; i++) {
                                    post_data += 'template_id=' + template_ids[i].toString() + '&';
                                }


                                $.ajax({
                                    type: "POST",
                                    url: '/delete_issue_templates',
                                    data: post_data,
                                    contentType: 'application/x-www-form-urlencoded',
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    success: function (data) {
                                        document.location.reload();
                                    },
                                    error: function (data) {
                                        document.location.reload();
                                    }
                                });
                            }
                        }

                    }


                    function download_selected_issue_templates() {
                        download_form = $('#download_template_form')[0];

                        // delete old elements

                        var id_count = $('[id=issue_template_id]');
                        if (id_count.length > 0) {
                            $('[id=issue_template_id]').remove();
                        }

                        var checkboxes = document.getElementsByClassName("issue_template_checkbox");

                        var template_ids = [];
                        for (var i = 0; i < checkboxes.length; i++) {
                            if (checkboxes[i].checked) {
                                template_id = checkboxes[i].dataset["value"];
                                template_ids.push(template_id)
                            }
                        }

                        if (template_ids.length > 0) {

                            for (var i = 0; i < template_ids.length; i++) {
                                template_id = template_ids[i];
                                var mi = document.createElement("input");
                                mi.setAttribute('type', 'hidden');
                                mi.setAttribute('value', template_id);
                                mi.setAttribute('name', "template_id");
                                mi.setAttribute('id', "issue_template_id");
                                download_form.appendChild(mi);
                            }

                            download_form.submit();

                        }
                    }

                    checked = true;

                    function select_issue_templates() {
                        var checkboxes = document.getElementsByClassName("issue_template_checkbox");
                        for (var i = 0; i < checkboxes.length; i++) {
                            checkboxes[i].checked = checked;
                        }
                        checked = !checked;
                    }

                </script>
                <form method="post" action="/download_issue_templates" id="download_template_form">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                </form>
                {% set team_issue_templates = db.select_issue_templates(user_id=user_data['id']) %}
                <div style="width: 100%; height: calc(100% - 200px); overflow: auto;margin-top: 20px">
                    <table id="issue_templates" class="ui table" style="width:100%">
                        <thead>
                        <tr>
                            <th style="width: 20px;">
                                <div class="ui fitted big checkbox">
                                    <input type="checkbox" onclick="select_issue_templates();">
                                    <label></label>
                                </div>
                            </th>
                            <th>Name</th>
                            <th style="width: 135px;">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for current_template in team_issue_templates %}
                            <tr>
                                <td style="width: 20px;">
                                    <div class="ui fitted big checkbox">
                                        <input type="checkbox" class="issue_template_checkbox" data-value="{{ current_template['id'] }}">
                                        <label></label>
                                    </div>
                                </td>
                                <td>{{ escape(current_template['tpl_name']) }}</td>
                                <td style="width: 135px;">
                                    <a class="ui icon blue button" href="/issue_template/{{ current_template['id'] }}/" target="_blank" rel="noopener noreferrer">
                                        <i class="linkify icon"></i></i>
                                    </a>
                                    <button type="button" onclick="download_issue_template('{{ current_template['id'] }}');" class="ui icon green button">
                                        <i class="download icon"></i>
                                    </button>
                                    <button class="ui icon red button" type="button" onclick="delete_issue_template('{{ current_template['id'] }}');">
                                        <i class="trash icon"></i>
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                {% if add_report_errors is defined  and add_report_errors %}
                    {% for error in add_report_errors %}
                        <div class="ui error message visible" style="min-width: 300px;">
                            <i class="close icon"></i>
                            <div class="header">
                                There were some errors:
                            </div>
                            <ul class="list">
                                {% for error in add_report_errors %}
                                    <li>{{ error }}</li>
                                {% endfor %}
                            </ul>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        </div>
    </div>
</div>

{% include 'footer.html' %}
</body>
</html>